label='Response to Gust, Heading, Altitude, & Velocity Change Comds';
r2d= 180/pi;
%------------------------------------------
figure (1)
plot(time,gust, 'LineWidth',1.5)
title(label)
ylabel('Gust Vel (ft/s)')
xlabel('Time')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(time,chi,'b', 'LineWidth',1.5)
title(label)
ylabel('Heading direct. (deg)')

subplot(2,1,2), plot(time,Vcr, 'LineWidth',1.5)
ylabel('Cross-Range Veloc (ft/s)')
xlabel('Time')
%------------------------------------------
figure (3)
plot(time,attit*r2d, 'LineWidth',1.5)
title(label)
ylabel('phi,theta,psi (deg)')
legend('Phi','Theta','Psi');
xlabel('Time')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(time,dH,  'LineWidth',1.5)
title(label)
ylabel('Altitude (ft)')

subplot(2,1,2), plot(time,Vgr, 'LineWidth',1.5)
ylabel('Ground Speed (ft/sec)')
xlabel('Time')
%------------------------------------------
figure (5)
plot(time,albe*r2d, time,gama*r2d,'r', 'LineWidth',1.5)
title(label)
ylabel('Alpha, Beta, Gamma (deg)')
legend('Alpha','Beta','Gamma')
xlabel('Time')
%------------------------------------------
figure (6)
subplot(2,1,1), plot(time,delta*r2d, 'LineWidth',1.5)
title(label)
ylabel('Surf Deflect (deg)')
legend('Left Flap','Right Flap','Left Rudder','Right Rudder','Body-Flap');

subplot(2,1,2), plot(time,Thro,  'LineWidth',1.5)
ylabel('Throttle Control (0-1)')
xlabel('Time')
%------------------------------------------
figure (7)
subplot(2,1,1), plot(time,Wb*r2d,     'LineWidth',1.5)
title(label)
ylabel('Body-Rates p,q,r (d/s)')
legend('roll','pitch','yaw')

subplot(2,1,2), plot(time,Accel/32.2, 'LineWidth',1.5)
ylabel('Acceler Ay,Az (g)')
legend('Ay','Az')
xlabel('Time')
%------------------------------------------
figure (8)
subplot(2,1,1), plot(time,deldd*r2d, 'LineWidth',1.5)
title(label)
ylabel('Surface Accels (d/s^2)')
legend('Left Flap','Right Flap','Left Rudder','Right Rudder','Body-Flap');

subplot(2,1,2), plot(time,HM,        'LineWidth',1.5)
ylabel('Hinge Moments (ft-lb)')
legend('Left Flap','Right Flap','Left Rudder','Right Rudder','Body-Flap');
xlabel('Time')
%------------------------------------------
