% Rudder EMA Type-B Actuator Model
r2d= 180/pi; d2r=pi/180;
Kload=0.34e+7;                      %  (lb/inch) (Load Stiffness) Kload=271000.0
Kback=0.42e+7;                      %            (Backup Structure) Kback=700000.0
Kact= 0.32e+7;                      %            (Actuator Stiffness) Kact= 200000.0
Kti=(1/Kload)+(1/Kback)+(1/Kact); 
Kli=(1/Kload)+(1/Kback); 
Kt=1/Kti;                           % Total Stiffness (lb/ft)
Kl=1/Kli;                           % Stiffness of Load + Backup (lb/ft)

Kp= 480;                            %  PID gain
Ki= 1.2;                            %  PID gain
Krfb= 0.004;                        %  Rate Feedback Gain 0.0
Kratlm= 0.1;                        %  Controller Rate Limit
Kw=0;                               %  Anti-windup gain
Vlim= 100;                          %  Controller Output Voltage Limit volts
R= 0.3;                             %  Moment Arm (ft) R= 3.6
Je= 4.0;                            %  Rudder Inertia (lb-in-sec2) Je
Ja= 2.5e-4;                         %  Gear plus Screw Inertia (lb-ft-sec2) 
Be=80;                              %  Damp Be (ft-lb-sec)
Kv= 300;                            %  Motor Gain (ft-lb/volt)
Jm= 0.8e-4;                         %  Motor Rotor Mom Inertia (lb-ft-sec2) 
Kvl= 0.51;                          %  Motor Loading (rad/sec per ft-lb)
Wmb= 2000;                          %  Motor Bandwidth (rad/sec)
Kmfr= 0.005;                        %  Motor Friction 0.4
Keff= 0.85;                         %  Motor Gear Effectiveness 0.85
Kgs= 700.0;                         %  Gear Stiffness Kgs=8376.0
Nscrew= 0.0027;                     %  Screw Ratio Nscrew (ft/rad)
Ngear= 17.0;                        %  Gear Ratio Ngear= 17.0
Kdmp= 0.002;                        %  Shaft Damping Kdmp= 0.285

